import { native_ } from './Constants';
import { GPUAdapter } from './GPUAdapter';
export declare class GPU {
    private _wgslLanguageFeatures;
    static [native_]: any;
    get native(): any;
    get wgslLanguageFeatures(): Set<unknown>;
    getPreferredCanvasFormat(): "rgba8unorm" | "bgra8unorm";
    requestAdapter(options?: {
        powerPreference?: 'low-power' | 'high-performance';
        isFallbackAdapter?: boolean;
    }): Promise<GPUAdapter>;
}
